1. แต้ม / แสตมป์ & ประวัติ
PointUpCRM Public API
  • ภาพรวมระบบ API
  • Authentication
  • QR รับแต้มท้ายใบเสร็จ
    • สร้าง QR Code ท้ายใบเสร็จ
      POST
    • สร้างยอดซื้อจาก POS
      POST
  • สมาชิก
    • ค้นหาสมาชิกด้วยเบอร์โทร หรือคำค้นทั่วไป
      GET
    • สร้างสมาชิกใหม่ หรืออัปเดตข้อมูลถ้ามีเบอร์นี้อยู่แล้ว
      POST
    • ดูข้อมูลสมาชิกรายคนด้วย member
      GET
  • แต้ม / แสตมป์ & ประวัติ
    • ยอดแต้ม/แสตมป์คงเหลือปัจจุบันของสมาชิก
      GET
    • รายการได้/ใช้แต้มล่าสุดของสมาชิก
      GET
    • ให้แต้มจากยอดขาย
      POST
  1. แต้ม / แสตมป์ & ประวัติ

รายการได้/ใช้แต้มล่าสุดของสมาชิก

Developing
GET
/api/integrations/v1/members/{id}/transactions

Request

Path Params

Query Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/integrations/v1/members//transactions?take=undefined'
Response Response Example
[
    {
        "id": "...",
        "type": "Earn",
        "units": 12,
        "billId": "POS-00231",
        "note": null,
        "occurredAt": "2026-09-10T14:22:00Z",
        "expireAt": null
    }
]
Previous
ยอดแต้ม/แสตมป์คงเหลือปัจจุบันของสมาชิก
Next
ให้แต้มจากยอดขาย
Built with